# Guidelines For Contributing

Coded based on Nodejs@v20 and written in "prototype" syntax.
Nodejs version14 or higher is required to build or test this project.

## Before submitting an issue

-   If you're not using the latest master to generate API clients or server stubs, please give it another try by pulling the latest master as the issue may have already been addressed. Ref: [Getting Started]()
-   Search the [open issue](https://github.com/jihong88/suneditor/issues) and [closed issue](https://github.com/jihong88/suneditor/issues?q=is%3Aissue+is%3Aclosed) to ensure no one else has reported something similar before.
-   File an [issue ticket](https://github.com/jihong88/suneditor/issues/new) by providing all the required information.

## Before submitting a PR

-   Search the [open issue](https://github.com/swagger-api/swagger-codegen/issues) to ensure no one else has reported something similar and no one is actively working on similar proposed change.
-   If no one has suggested something similar, open an ["issue"](https://github.com/swagger-api/swagger-codegen/issues) with your suggestion to gather feedback from the community.
-   It's recommended to **create a new git branch** for the change so that the merge commit message looks nicer in the commit history.

## How to contribute

### code architecture

### source formatter

### about css

### Framework guide

Code change should conform to the programming style guide of the respective languages:

-   Vue: https://suneditor.com/framework-guide/vue
-   React: https://suneditor.com/framework-guide/react
-   Angular: https://suneditor.com/framework-guide/angular

For other languages, feel free to suggest.

You may find the current code base not 100% conform to the coding style and we welcome contributions to fix those.
